<div>
<p> Create Custom Field Folder </p>
<div>
<span style= “display: inline-block;
width: 25px; height: 25px;
background-color: yellow;
color: black;
font-weight: bold;
font-size: 24px;
text-align: center;
line-height: 22px;
border: 2px solid black;
border-radius: 10%;
margin-right: 10px;”>
!
</span>
<span>
<strong>
Only supports Custom Objects and Company (Business) today. Will be extended to other Standard Objects in the future.
</strong>
</span>
</div>
</div>
POST https://services.leadconnectorhq.com/custom-fields/folder
Autorización
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.
Body
objectKey
string
default:"custom_object.pet"
required
The key for your custom object. This key uniquely identifies the custom object. Example: “custom_object.pet” for a custom object related to pets.
name
string
default:"Name"
required
Field name
locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
Account Id
Respuestas
201 - Successful response
Unique identifier of the object
objectKey
string
default:"custom_object.pet"
required
The key for your custom object. This key uniquely identifies the custom object. Example: “custom_object.pet” for a custom object related to pets.
locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
Account Id
name
string
default:"Name"
required
Field name
{
"id": "string",
"objectKey": "custom_object.pet",
"locationId": "ve9EPM428h8vShlRW1KT",
"name": "Name"
}
Ejemplo
curl -X POST 'https://services.leadconnectorhq.com/custom-fields/folder' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"objectKey": "custom_object.pet",
"name": "Name",
"locationId": "ve9EPM428h8vShlRW1KT"
}'
const response = await fetch('https://services.leadconnectorhq.com/custom-fields/folder', {
method: 'POST',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"objectKey": "custom_object.pet", "name": "Name", "locationId": "ve9EPM428h8vShlRW1KT"}),
});
const data = await response.json();
import os, requests
response = requests.request(
'POST',
'https://services.leadconnectorhq.com/custom-fields/folder',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"objectKey": "custom_object.pet", "name": "Name", "locationId": "ve9EPM428h8vShlRW1KT"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/custom-fields/folder');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'objectKey': 'custom_object.pet', 'name': 'Name', 'locationId': 've9EPM428h8vShlRW1KT'}),
]);
$data = json_decode(curl_exec($ch), true);